Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.gradle.api
[Java] Annotation Type NonExtensible

    java.lang.Object
      org.gradle.api.NonExtensible

    @Incubating
    @Documented
    @Retention(RetentionPolicy.RUNTIME)
    @Inherited
    @Target({ElementType.TYPE})
    public @interface NonExtensible

Indicates that the type, when DSL enhanced, does not support extensibility.

This means that it will not be enhanced with ExtensionAware.

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Gradle API 1.10